<?php

// ========================================================================== //
//                                                                            //
//                        Значения имен и отчеств, v1.0                       //
//                                                                            //
//                      Copyright (C) 2012 Preventiva LLC                     //
//                         http://web2.0-developer.ru/                        //
//                                                                            //
// ========================================================================== //

if (!defined('VALID_CMS')) {
    die('ACCESS DENIED');
}

function info_component_vnaps() {
    $_component['title'] = 'Значения имен и отчеств'; //Заголовок компонента
    $_component['description'] = 'Описание мужских и женских имен и отчеств'; //описание компонента
    $_component['link'] = 'vnaps'; //ссылка на компонент
    $_component['author'] = 'Preventiva LLC'; //Автор компонента
    $_component['internal'] = '0';
    $_component['version'] = '1.0'; //версия
    $inCore = cmsCore::getInstance();
    $inCore->loadModel('vnaps');
    return $_component;
}

function install_component_vnaps() {

    $inCore = cmsCore::getInstance();
    $inDB = cmsDatabase::getInstance();
    $inConf = cmsConfig::getInstance();
    include(PATH . '/includes/dbimport.inc.php');
    dbRunSQL(PATH . '/components/vnaps/install.sql', $inConf->db_prefix);

    if (!cmsActions::getAction('vnaps_add')) {
        cmsActions::registerAction('vnaps', array(
            'name' => 'vnaps_add',
            'title' => 'Добавление имени или отчества',
            'message' => 'добавляет новое имя (отчество) %s|'
                )
        );
    }

    if (!cmsActions::getAction('vnaps_edit')) {
        cmsActions::registerAction('vnaps', array(
            'name' => 'vnaps_edit',
            'title' => 'Изменение имени или отчества',
            'message' => 'изменяет имя (отчество) %s|'
                )
        );
    }

    return true;
}

?>