<?php

// ========================================================================== //
//                                                                            //
//                        Значения имен и отчеств, v1.0                       //
//                                                                            //
//                      Copyright (C) 2012 Preventiva LLC                     //
//                         http://web2.0-developer.ru/                        //
//                                                                            //
// ========================================================================== //

if (!defined('VALID_CMS')) {
    die('ACCESS DENIED');
}

function routes_vnaps() {

    $routes[] = array(
        '_uri'  => '/^vnaps\/([0-9])([0-9])([0-9]+).*\/([0-9]+).*$/i',
        'do'    => 'view_item',
        1       => 'male',
        2       => 'name',
        3       => 'category',
        4       => 'item'
    );

    $routes[] = array(
        '_uri'  => '/^vnaps\/add.html$/i',
        'do'    => 'add'
    );

    $routes[] = array(
        '_uri'  => '/^vnaps\/edit([0-9]+).html$/i',
        'do'    => 'edit',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^vnaps\/delete([0-9]+).html$/i',
        'do'    => 'delete',
        1       => 'id'
    );

    $routes[] = array(
        '_uri'  => '/^vnaps\/([0-9])([0-9])([0-9]+).*$/i',
        'do'    => 'view_category',
        1       => 'male',
        2       => 'name',
        3       => 'category'
    );

    return $routes;
}

?>
