SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

DROP TABLE IF EXISTS `cms_vnaps_category`;
CREATE TABLE IF NOT EXISTS `cms_vnaps_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `cms_vnaps_category` (`id`, `name`) VALUES
(1, 'Русские'),
(2, 'Татарские');

DROP TABLE IF EXISTS `cms_vnaps_items`;
CREATE TABLE IF NOT EXISTS `cms_vnaps_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` int(11) NOT NULL,
  `author` int(11) NOT NULL,
  `title` varchar(30) NOT NULL,
  `content` text NOT NULL,
  `male` char(1) NOT NULL,
  `name` char(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `cms_vnaps_items` (`id`, `category`, `author`, `title`, `content`, `male`, `name`) VALUES
(1, 1, 1, 'Иван', '1. русский вариант имени Иоанн (милость Господня) в честь Иоанна Крестителя. Английский аналог - Джон (John)\r\n\r\n2. славянское имя "ивовый"\r\n\r\nДерево [b]ива[/b] - У кельтов ассоциируется с Иисусом, который изображается срубающим иву. В христианстве ивовые ветви  несут как символ пальмовых ветвей на Вербное воскресенье. В греко-римской традиции ива посвящена Европе и является эмблемой Артемиды. У евреев ива символизирует скорбь. В Японии ива символизирует терпение и упорство.  Ива противопоставляется сосне и дубу, которые е не могут вынести бури и ломаются под порывами ветра. Ива  же, уступая порыву, возвращаются  в прежнее положение и ветки остаются целы. Ветки ивы используются в медицине и в народном промысле.\r\n\r\nИмя Иван - самое русское имя. Во время Великой Отечественной войны это имя использовалось немцами как прозвище для обозначения всех русских. Имя Иван было так же очень популярно в дружеских к СССР странах. На латыни имя Иван читается как Айван (Ivan).', '1', '1'),
(2, 1, 1, 'Светлана', 'Славянское имя "светлая и ладная" или от "свет +ла" (душа) т.е. "светлая душа".  Имя было придумано и впервые использовано Востоковым в романсе «Светлана и Мстислав» (1802г). Широкую популярность имя получило после опубликования поэтом Василием Андреевичем Жуковским его баллады «Светлана».\r\n\r\nПроизводные: Света, Светланка, Светланочка, Светуля, Светуня, Светуся, Светуша, Лана, Светик, Светачка, Светка, Светочка, Светусик.\r\n\r\n[b]Именины:[/b]\r\n26  февраля - преподобная Светлана (Фотиния).\r\n2 апреля - мученица Светлана (Фотина) самаряныня.\r\n16  ноября - мученица Светлана (Фотиния).\r\n\r\nВсех Светлан православная церковь окрещает именем Фотиния или именем Фотина в честь преподобной Фотинии. Обычно имя Светлана сокращается в России до "Света" . В Западной Европе и англоязычных странах сокращается до "Лана (Lana)". Имя Светлана - одно из самых красивых и популярных имен  в славянских странах.\r\n\r\n[b]Святая Фотина[/b] была родом самарянка, жена сначала беспорядочной жизни и суеверная, а после святая подвижница и проповедница истинной веры. Она была та самая жена, с которою Иисус Христос беседовал у студенца Иаковлева . Она имела двух сыновей Виктора, переименованного Фотином и Иосия, и пять сестер: Анатолию, Фото, Фотиду, Параскеву и Кириакию. С младшим сыном она проповедовала евангелие в Карфагене в Африке; старший  был воеводою в Италии и мел случай укрепить в вере Севастиана вождя. Ее старший сын Виктор храбро сражался в римских войсках против варваров и за свои заслуги был назначен военачальником в город Атталию .\r\n\r\nЕвангелие рассказывает нам о том, как однажды Господь Иисус Христос пришел в самарийский город называемый Сихарь, где находился колодец, данный Иаковом своему сыну Иосифу и его потомкам. Устав с дороги, Господь промыслительно сел отдохнуть у колодца пока ученики Его пошли в город купить еду. В это время пришла из города за водой некая женщина. Господь попросил ее дать Ему пить. Женщина удивилась просьбе, т.к. иудеи никогда не общались с самарянами. Иисус сказал ей: если бы ты знала Кто с тобой говорит, ты сама попросила бы у Него пить и Он дал бы тебе живую воду. Самарянка еще больше удивилась, откуда Иисус мог бы дать живую воду, не имея даже почерпала?\r\n\r\nГосподь ей ответил, что пьющие воду из колодца опять будут жаждать, а вода, которую Он даст, сделается источником в жизнь вечную. Под живой водой Господь подразумевал Свое живоносное учение, приводящее к вечному блаженству в Царстве Божием.\r\n\r\nЗатем Господь, зная что самарянка, хотя и сожительствует тайно во грехе, но имеет пылкую веру в Бога и твердое ожидание пришествия Мессии, постепенно открыл ей, что Он, говорящий с ней, и есть ожидаемый Христос. Тогда самарянка на радостях бросила свой кувшин и побежала в город пригласить своих сограждан выйти ко Христу, и по ее свидетельству многие самаряне тогда уверовали в Него.\r\n\r\nСама же блаженная самарянка, удостоившаяся беедовать с Господом, пострадала за Христа, вместе со своими сыновьями и сестрами, во время воздвигнутого римским императором Нероном гонения на христиан. Это лютое гонение продолжалось с 65-го по 68-ой год, и во время его пострадали в Риме святые апостолы Петр и Павел, а мучители затем стали разыскивать всех их последователей. В это время святая Фотина жила в городе Карфагене (ныне город Тунис), где она с младшим своим сыном Иосиею безбоязненно проповедовала Евангелие, а старший сын ее Виктор состоял в римской армии, воевавшей против варваров. После войны Виктор был назначен начальником над войсками в городе Атталия, где он многих привел ко Христу, включая и правителя города, Севастиана.\r\n\r\nКогда Нерону доложили, что в Атталии Виктор и Севастиан исповедуют веру Петра и Павла и насаждают там христианство, и что то же самое делают в Карфагене Фотина и Иосия, посланные туда святыми апостолами, – Нерон сильно разгневался и вызвал всех на суд в Рим. Фотина явилась в Рим в сопровождении многих христиан, включая и своих пять сестер – Анастасии, Фото, Фотиды, Параскевы и Кириакии; все они ожидали мученических страданий, о чем были заранее извещены явлением им Самого Христа. По приказу Нерона все они были подвергнуты жестоким мучениям, особенно святая Фотина, но по благодати Божией они не ощущали никакой боли и оставались невредимы. Тогда Нерон, не зная что еще с ними делать, приказал Виктора, Иосию и Севастиана ослепить и бросить в темницу вместе с Фотиной и ее сестрами.\r\n\r\nСвятые мученики пробыли в темнице три года. Однажды Нерон вспомнил о них и послал своих слуг проверить их. Вернувшись из темницы, слуги сообщили императору, что ослепленные галилеяне видят и совершенно здоровы, что сама темница светла, наполнена обильным благоуханием, и из места заключения стала местом для прославления Бога и святым домом, что много народа собирается к святым и принимает от них крещение. Услышав все это, Нерон пришел в ужас и ярость, и приказал святых мужей распять вниз головой и бить ремнями пока не распадутся их тела, что и было исполнено, а затем оставить их висеть три дня. На четвертый день пришли посланные императором слуги посмотреть, живы-ли еще мученики, и когда увидели их еще живыми, то немедленно ослепли. В это время ангел Божий сошел с неба, отвязал святых и сделал их совершенно здоровыми. Тогда святые помолились над ослепшими царскими слугами и те прозрели. Уверовав, они крестились и стали последователями святых мучеников.\r\n\r\nНерон, узнав об этом, сильно разгневался и призвал к себе Фотину, приказав содрать с нее кожу и бросить в колодец. Затем он приказал привести ее пятерых сестер и с них тоже содрать кожу, а после этого повелел всем мученикам отсечь головы. Святую же Фотину вынули из колодца и еще долго мучили, уговаривая принести жертву идолам, но Фотина плюнула в лицо императору и посмеялась над ним, за что снова была брошена в колодец, где она и предала свою душу Богу.', '0', '1');
